GRUB timer in Wubi installation is too long

Bug #289791 reported by Igor Vatavuk on 2008-10-27
2
Affects Status Importance Assigned to Milestone
Wubi
Low
Agostino Russo
grub-installer (Ubuntu)
Low
Unassigned

Bug Description

Waiting 10 seconds to start booting is too long, 3 to 5 seconds should be enough for anyone.
This is really making it look like Ubuntu is booting way to longer then it really is.
User first sees Bios POST, then Windows bootloader to choose the system, then 10 seconds waiting for GRUB and then Ubuntu starts booting... process seems to take forever and reducing the GRUB timer would really help here.

Agostino Russo (ago) wrote :

This is due to the fact that grub-installer sets the timeout to 10 seconds if other OSes are discovered. Of course in the Wubi case, menu.lst is used as second boot menu, so that a user has already a chance to change the OS in the first boot menu and hence the 10 seconds delay is not justified in this case. This was discussed briefly on IRC some time ago' but it was decided that special-casing that was probably not worth it.

Changed in wubi:
assignee: nobody → ago
importance: Undecided → Low
status: New → Confirmed
Changed in grub-installer:
importance: Undecided → Low
status: New → Confirmed
Agostino Russo (ago) wrote :

--- grub-installer-1.32ubuntu10/grub-installer 2008-10-20 23:04:58.000000000 +0100
+++ grub-installer 2008-10-27 15:58:35.000000000 +0000
@@ -978,13 +978,14 @@
        # Be careful to deal with either UUID-style or non-UUID-style groot.
        # grub4dos doesn't recognise UUIDs yet.
        sed -i "s:^\(# groot=\)[^(].*:\1():; s:^\(# groot=([^)]*)\).*:\1$bootdev_directory:" $ROOT/boot/grub/$menu_file
+ hide_menu=true
 fi
 # In either case, update the Debian kernel entries
 if [ "$user_params" ] || [ "$bootdev_directory" ]; then
        update_grub
 fi

-if [ -s /tmp/os-probed ]; then
+if [ -s /tmp/os-probed ] && [ "$hide_menu" != true ]; then
        # Other operating systems are installed, so show the menu by default
        # and raise the timeout.
        sed -i 's/^hiddenmenu[[:space:]]*$/#hiddenmenu/;

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub-installer - 1.35ubuntu2

---------------
grub-installer (1.35ubuntu2) jaunty; urgency=low

  * Hide GRUB menu if grub-installer/bootdev_directory is preseeded; this is
    used in the Wubi case where GRUB is used as a secondary boot loader, and
    so the user already had a chance to boot from another operating system
    (thanks, Agostino Russo; LP: #289791).
  * Use rootnoverify rather than root when chain-loading Microsoft operating
    systems (LP: #10661).
  * 'dmraid -c -s' changed its output format; cope with both old and new.

 -- Colin Watson <email address hidden> Fri, 21 Nov 2008 21:00:39 +0000

Changed in grub-installer:
status: Confirmed → Fix Released
Agostino Russo (ago) on 2009-03-12
Changed in wubi:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers